「MediaWiki:Common.css」の版間の差分

提供: rys private potal site
ページの作成:「→‎ここに記述したCSSはすべての外装に反映されます: →‎ここに記述したCSSはすべての外装に反映されます: →‎背景の色: body { background-color: #fc0; }→‎背景: #mw-head { background-color: #ff0; }→‎ヘッダーの背景: .mw-page-container { background-color: #ff0;} .mw-body { background-color: #ffc; text-color: #060; box-shadow: 5px 5px 6px #330; border-bottom-left-radius: 30px; }→‎記事エリアの背景: /*見出…」
 
編集の要約なし
8行目: 8行目:
/*見出しのスタイル*/
/*見出しのスタイル*/
.mw-body h1, .mw-body h2 { font-family: sans-serif; }
.mw-body h1, .mw-body h2 { font-family: sans-serif; }
.mw-body h2 { color: #f00; background-color: #ff0; border-left:5px solid #fc0; border-bottom:1px solid #000; }
.mw-body h2 { color: #f00; background-color: #fff; border-left:5px solid #940; border-bottom:1px solid #000; }
.mw-body h3 { color: green; }
.mw-body h3 { color: green; }
/*リンクのスタイル*/
/*リンクのスタイル*/

2023年5月1日 (月) 11:21時点における版

/* ここに記述したCSSはすべての外装に反映されます */
/* ここに記述したCSSはすべての外装に反映されます */
/*背景の色*/
body { background-color: #fc0; }/*背景*/
#mw-head { background-color: #ff0; }/*ヘッダーの背景*/
.mw-page-container {  background-color: #ff0;}
.mw-body { background-color: #ffc; text-color: #060; box-shadow: 5px 5px 6px #330; border-bottom-left-radius: 30px; }/*記事エリアの背景*/
/*見出しのスタイル*/
.mw-body h1, .mw-body h2 { font-family: sans-serif; }
.mw-body h2 { color: #f00; background-color: #fff; border-left:5px solid #940; border-bottom:1px solid #000; }
.mw-body h3 { color: green; }
/*リンクのスタイル*/
a:link { color: #f00; }
a:visited { color: #a00; }
div#mw-panel div.portal div.body ul li a:link { color: #800; }
div#mw-panel div.portal div.body ul li a:visited { color: #800; }
div#mw-panel div.portal div.body ul li a:hover { background-color: #ff0; }
/*画像の角丸と影*/
.mw-body img { border-radius: 30px; box-shadow: 5px 5px 6px #880; }
/*メインページの文字を非表示にする*/
body.page-メインページ.action-view h1.firstHeading, body.page-メインページ.action-submit h1.firstHeading { display: none; }

/*左上ロゴ横回転*/
.mw-wiki-logo { animation: logo 5s infinite; }
@keyframes logo {
0% {transform: perspective(400px) rotateY(0deg) }
100% {transform: perspective(400px) rotateY(360deg) }
}

/*リンクページボタン*/
.link a{ color: #008; background-color: #fff; background-image: none; border: 1px solid black; border-radius: 10px; box-shadow: 5px 5px 6px #880; display: block; padding: 5px; margin-bottom: 10px;}
.link a:link{ color: #000;}
.link a:hover{text-decoration: none; box-shadow: 5px 5px 6px #880 inset;}